package com.xxfc.platform.order.mapper;

import com.xxfc.platform.order.entity.DailyVehicleOrderStatistics;
import com.xxfc.platform.order.entity.OrderStatistics;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 每日统计数据
 * @author Administrator
 */
public interface DailyVehicleOrderStatisticsMapper extends Mapper<DailyVehicleOrderStatistics> {

    List<DailyVehicleOrderStatistics> getGmvAndMarginTotal(@Param("day") Integer day);

    List<Map> getCompensationAndPostpone(@Param("day") Integer day);

    List<DailyVehicleOrderStatistics> getPenalSum(@Param("day") Integer day);

    List<DailyVehicleOrderStatistics> getRefundSecurityDeposit(@Param("day") Integer day);

    List<DailyVehicleOrderStatistics> getViolationMoney(@Param("day") Integer day);

    OrderStatistics monthOrderTotal(Integer companyId);
}
